"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.INPUT_FIELD_POSITIONS = exports.DEFAULT_CLASSNAMES = exports.DEFAULT_LABEL_FIELD = exports.DEFAULT_PLACEHOLDER = exports.KEYS = void 0;
var KEYS = {
  ENTER: 13,
  TAB: 9,
  BACKSPACE: 8,
  UP_ARROW: 38,
  DOWN_ARROW: 40,
  ESCAPE: 27
};
exports.KEYS = KEYS;
var DEFAULT_PLACEHOLDER = 'Add new tag';
exports.DEFAULT_PLACEHOLDER = DEFAULT_PLACEHOLDER;
var DEFAULT_LABEL_FIELD = 'text';
exports.DEFAULT_LABEL_FIELD = DEFAULT_LABEL_FIELD;
var DEFAULT_CLASSNAMES = {
  tags: 'ReactTags__tags',
  tagInput: 'ReactTags__tagInput',
  tagInputField: 'ReactTags__tagInputField',
  selected: 'ReactTags__selected',
  tag: 'ReactTags__tag',
  remove: 'ReactTags__remove',
  suggestions: 'ReactTags__suggestions',
  activeSuggestion: 'ReactTags__activeSuggestion'
};
exports.DEFAULT_CLASSNAMES = DEFAULT_CLASSNAMES;
var INPUT_FIELD_POSITIONS = {
  INLINE: 'inline',
  TOP: 'top',
  BOTTOM: 'bottom'
};
exports.INPUT_FIELD_POSITIONS = INPUT_FIELD_POSITIONS;